Skip to main content
POST
/
v2
/
projects
/
{project_id}
/
experiments
/
metrics
Get Experiments Metrics
curl --request POST \
  --url https://api.galileo.ai/v2/projects/{project_id}/experiments/metrics \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
{
  "filters": [
    {
      "column_id": "<string>",
      "value": "<string>",
      "operator": "eq",
      "type": "id"
    }
  ]
}
'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/experiments/metrics"

payload = { "filters": [
        {
            "column_id": "<string>",
            "value": "<string>",
            "operator": "eq",
            "type": "id"
        }
    ] }
headers = {
    "Splunk-AO-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    filters: [{column_id: '<string>', value: '<string>', operator: 'eq', type: 'id'}]
  })
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/experiments/metrics', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "metrics": [
    {
      "name": "<string>",
      "buckets": {},
      "average": 123
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json
filters
(LogRecordsIDFilter · object | LogRecordsDateFilter · object | LogRecordsNumberFilter · object | LogRecordsBooleanFilter · object | LogRecordsCollectionFilter · object | LogRecordsTextFilter · object | LogRecordsFullyAnnotatedFilter · object)[]

Response

Successful Response

metrics
BucketedMetric · object[]

List of metrics for the experiment, including categorical and quartile metrics.